Module tdlight.api
Package it.tdlight.jni

# Class TdApi.TelegramPaymentPurpose

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.TelegramPaymentPurpose

Direct Known Subclasses:
  `TdApi.TelegramPaymentPurposePremiumGiftCodes`, `TdApi.TelegramPaymentPurposePremiumGiveaway`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.TelegramPaymentPurpose extends TdApi.Object permits TdApi.TelegramPaymentPurposePremiumGiftCodes, TdApi.TelegramPaymentPurposePremiumGiveaway
This class is an abstract base class. Describes a purpose of a payment toward Telegram.

## Constructor Summary

Constructors
Constructor
Description
`TelegramPaymentPurpose()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TelegramPaymentPurpose

public TelegramPaymentPurpose()
Default class constructor.